%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           cohoba
Version:        0.0.4
Release:        6%{?dist}
Summary:        Cohoba is a GNOME interface for Telepathy. It aims to be innovative and simple

Group:          Applications/Communications
License:        GPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Cohoba
Source0:        http://telepathy.freedesktop.org/releases/cohoba/cohoba-0.0.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, perl-XML-Parser, GConf2, pygtk2-devel, glib2-devel, gnome-python2-devel, gnome-python2-applet
Requires:       python-telepathy, gnome-python2-applet, pygtk2, telepathy-filesystem

Patch1:		cohoba-non-binary-in-usr-lib.patch

%description
Gnome's interfaces for telepathy backend.
The aim of this project is to provide a D-Bus-based framework that unifies 
all forms of real time conversations, including, but not limited to, instant 
messaging, IRC and voice and video over IP. It aims to provide a simple 
interface to client applications allowing them to quickly implement code to 
make use of real time communication over any supported protocol. 

Cohoba is one of the gnome's interfaces for telepathy backend. It aims to be 
innovative and simple to use.

%prep
%setup -q
%patch1 -b .1-non-binary-in-usr-lib

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

chmod 644 AUTHORS COPYING README
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{python_sitelib}/cohoba/
%{_libdir}/bonobo/servers/Cohoba.server
%{_datadir}/cohoba/
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Cohoba.TechnoBabbleChannelHandler.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Houston.MissionControl.service
%{_datadir}/icons/hicolor/48x48/apps/cohoba.png
%{_datadir}/icons/hicolor/scalable/apps/cohoba.svg
%{_datadir}/telepathy/managers/org.freedesktop.Telepathy.Cohoba.BigBrotherChannelHandler.chandler
%{_datadir}/telepathy/managers/org.freedesktop.Telepathy.Cohoba.TechnoBabbleChannelHandler-voip.chandler
%{_datadir}/telepathy/managers/org.freedesktop.Telepathy.Cohoba.TechnoBabbleChannelHandler.chandler

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%changelog
* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.4-6
- fix license tag

* Tue Dec 12 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.0.4-5
- Removed require on python-ctypes since it is included in python 2.5

* Sun Dec 10 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.0.4-4
- changed BR from gnome-python2 to gnome-python2-devel because of moving of gnome-python-2.0.pc

* Sun Dec 10 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.0.4-3
- Bump and rebuild for python 2.5 on devel

* Sun Oct 01 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.0.4-2
- added Require telepathy-filesystem since we have files in %{_datadir}/telepathy/managers/

* Fri Sep 29 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.0.4-1
- update to cohoba 0.0.4
- changed group to Applications/Communications
- added pygtk2, python-ctypes to Requires
- fixed ownership on %{_libdir}/cohoba/
- fixed cohoba only-non-binary-in-usr-lib

* Fri Sep 08 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.0.3-2
- added requires gnome-python2-applet

* Thu Aug 31 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.0.3-1
- created
